### Hierarchy

- CopyleaksDeleteRequestModel

## Index

### Constructors

- constructor

### Properties

- completionWebhook
- purge
- scans

## Constructors

### constructor

- new CopyleaksDeleteRequestModel(scans: { id: string }[], purge?: boolean, completionWebhook?: string): CopyleaksDeleteRequestModel

- - Defined in src/models/request/CopyleaksDeleteRequestModel.ts:25

  #### Parameters

  - ##### scans: { id: string }[]

    The list of scans to delete

  - ##### Optional purge: boolean

    Delete all trace of the scan from Copyleaks server, including from internal database. A purged process will not be available as a result for previous scans.

  - ##### Optional completionWebhook: string

    Allows you to register to a webhook that will be fired once the removal has been completed. Make sure that your endpoint is listening to a POST method (no body parameters were supplied).

  #### Returns CopyleaksDeleteRequestModel

## Properties

### Optional completionWebhook

completionWebhook: string

### Optional purge

purge: boolean

### scans

scans: { id: string }[]

Generated using TypeDoc